@CHARSET "UTF-8";

/** Core 
	
	Use this file for things like form controls, repeating elements (like error/warning/confirmation 
	panels) and other non-page layout stuff and utility classes
	
*/

/* General */

a {
	color: #005EA8;
	transition: color 0.3s;
	-o-transition: color 0.3s;
	-ms-transition: color 0.3s;
	-moz-transition: color 0.3s;
	-webkit-transition: color 0.3s;
}

a:hover {
	color: #335280;	
}

img {
	border: 0;
}

/* Utility */

.one-line {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

label.block {
	display: block;
	padding: 2px 0;
}

div.clear {
	clear: both;
}

.small {
	font-size: 0.7em;
}

.big {
	font-size: 120%;
}

.bold {
	font-weight: bold;
}

.hidden {
	display: none;
}

.padded {
	padding: 10px;
}

.center {
	text-align: center;
}

.right {
	text-align: right;
}

.pull-right {
	float: right !important;
}

.pull-left {
	float: left !important;
}

.clearfix:before,
.clearfix:after {
	display: table;
	content: ' ';
	clear: both;
}

.rel {
	position: relative;
}

.full {
	width: 100%;
	box-sizing: border-box;
}

.inline-block {
	display: inline-block;
}

.unpadded {
	padding: 0 !important;
}

.hidden {
	display: none;
}

/** forms */

input[type="text"],input[type="password"],textarea,input[type="number"],input[type="date"],select {
	border: 1px solid #aaa;
	font-size: 14pt;
	padding: 5px;
	background: #fff;	
}

input[type="date"]:focus,input[type="text"]:focus,input[type="password"]:focus,textarea:focus,input[type="number"]:focus,select:focus {
	background: #E7F0F8;
}

textarea {
	height: 200px;
}

textarea.wide {
	height: 100px;
	width: 50%;
}

input.thin {
	width: 30%;
}

div.label {
	text-align: right;
	font-weight: bold;	
}

div.label-left {
	font-weight: bold;
}

.well {
	border: 1px solid #005EA8;
	border-radius: 5px;
	padding: 10px;
	margin: 10px;
}

.warning {
	border: 1px solid #ff0066;
	border-radius: 5px;
	padding: 10px;
	margin-top: 10px;
}

.error {
	border-color: #800;
	box-shadow: 0 0 10px #f00;
}

.validation-errors {
	margin: 10px auto;
	width: 80%;
	border: 1px solid #800;
	padding: 10px;
	text-align: center;
	display: none;
	border-radius: 3px;
	box-shadow: 0 0 10px #f00;
}

/*********************************************************** BUTTONS */

.button, button {
	display: inline-block;
	padding: 4px 10px;
	margin: 0 2px 0 0;
	background: #005EA8;
	border: none;
	text-decoration: none;
	color: #fff;
	transition: background 0.3s, color 0.3s, box-shadow 0.3s;
	cursor: pointer;
	font-weight: 300;
	font-family: "Open Sans", sans-serif;
}

.button.rounded, button.rounded {
	border-radius: 10px;
	box-shadow: 5px 5px 5px #ddd;
	padding: 4px 20px;
}

.button.rounded:hover, button.rounded:hover {
	box-shadow: 2px 2px 2px #888;
}

a.button, span.button, div.button {
	padding-top: 5px;
	padding-bottom: 5px;
	text-decoration: none !important;
}

.button:hover, button:hover {
	background: #2C7DBD;
	color: #fff;
	text-decoration: none;
}

a.button:hover, a.button:hover:visited {
	color: #fff;
}

.button.menu {
	position: relative;
	display: inline-block;
}

.button.menu:after {
	content: ' ▾';
}

.button.menu .items {
	position: absolute;
	top: 100%;
	left: 0;
	background: #005EA8;
	padding: 4px;
	transition: transform 0.3s;
	transform: scaleY(0);
	transform-origin: 0 0;
}

.button.menu:hover .items {
	transform: scaleY(1);
}

.button.menu .items a {
	padding: 4px 8px 4px 30px;
	color: #fff;
	transition: background 0.3s, color 0.3s;
	display: block;
	text-decoration: none;
	font-family: "Open Sans",sans-serif;
	white-space: nowrap;
	position: relative;
}

.button.menu .items a.ticked:before {
	content: '⏺';
	position: absolute;
	left: 8px;
	top: 4px;
}

.button.menu .items a:hover {
	color: #fff;
	background: #335280;
}

.button.menu .items hr {
	border: none;
	border-top: 2px solid #fff;
	width: 80%;
	margin: 4px auto;
}

/** separator between horizontal buttons */
.button-sep {
	padding: 0;
	margin: 0px 10px;
	display: inline-block;
	vertical-align: baseline;
	content: '';
	height: 1em;
	border-left: 1px solid #aaa;
}

span.button.down {
	cursor: default;
}

.button.block {
	width: 90%;
}

.button.big, button.big {
	font-size: 22pt;
	padding: 6px 20px 8px;
	margin: 0;
}

.button.down, button.down {
	opacity: 0.7;
}

button.red, .button.red {
	background: #A80038;
}

button.red:hover, .button.red:hover {
	background: #C6295E;
}

.buttonbox {
	margin-top: 10px;
	padding-top: 10px;
	border-top: 2px solid #005EA8;
}

#dialog .buttonbox, .dialog .buttonbox {
	padding-bottom: 10px;
}

/** Tabs */

.button.tab {
	border-radius: 6px 6px 0 0;
	margin: 10px 0 0 0;
	float: left;
	transition: padding 0.3s, margin 0.3s, background 0.3s, width 0.3s;
}

.button.tab.selected {
	background-position: 0 -10px;
	margin: 0;
	padding: 9px 20px 9px;
	cursor: default;
}

.tabgroup {
	font-size: 0;
	vertical-align: bottom;
	padding-left: 10px;
}

.tabframe {
	border: 1px solid #888;
	padding: 0 10px;
	border-radius: 4px;
}

span.tab {
	text-decoration: underline;
	cursor: pointer;
}

@media (max-width: 600px) {
	
	.tabframe {
		border: 0;
	}
	
	.button.tab {
		display: block;
		float: none;
		margin: 1px 0 0 8%;
		padding: 8px 0;
		border-radius: 4px;
		width: 90%;
	}
	
	.button.tab.selected {
		margin: 1px 0 0 0;
		width: 98%;
	}
}

a.blocklink {
	display: inline-block;
	width: calc(50% - 12px);
	margin: 0 0 5px 0;
	padding: 4px;
	text-align: center;
	font-size: 2em;
	background: #aaa;
	color: #fff;
	text-decoration: none;
	transition: color 0.3s, background 0.3s;
	border-radius: 0;
	position: relative;
}

a.blocklink.admin:after {
	content: 'Admin';
	position: absolute;
	bottom: 0;
	right: 3px;
	font-size: 9pt;
	color: #fff;
	opacity: 0.8;
}

a.blocklink:hover {
	background: #005EA8;
}

a.blocklink span {
	font-size: 0.5em;
	color: #333;
	position: absolute;
	top: 5px;
	right: 5px;
	background: #fff;
	width: 2em;
	height: 2em;
	border-radius: 4em;
	text-align: center;
	box-sizing: border-box;
	padding-top: 0.3em;
}

a.blocklink em {
	display: block;
	padding: 10px 0 0 0;
	text-align: center;
	font-size: 0.6em;
	font-style: normal;
	opacity: 0.8;
}

form>div {
	margin-top: 8px;
}

/** Dialog */

#dialog, .dialog {
	position: fixed;
	width: 500px;
	background: #fff;
	border: 1px solid #005EA8;
	border-radius: 4px;
	height: 300;
	top: -500px;
	left: 45%;
	left: calc(50% - 251px);
	z-index: 3;	
	text-align: center;
}

#fader {
	position: fixed;
	top: 0;
	left: 0;
	background: none;
	background: rgba(255,255,255,0.5);
	width: 100%;
	height: 100%;
	display: none;
	z-index: 2;
}

#fader.noclick {
	background: #fff;
}

#dialog>h1, .dialog>h1 {
	text-align: center;
	margin: 0;
	font-size: 22pt;
	background: #005EA8;
	color: #fff;
}

#dialog div.loading {
	padding: 100px 20px;
	text-align: center;
	font-size: 22pt;
}

.dialog-only {
	display: none;
}

#dialog .dialog-only {
	display: block;
}

#dialog .bottomleft {
	position: absolute;
	bottom: 10px;
	left: 10px;
}

hr {
	border: none;
	width: 80%;
	margin: 10px auto;
	border-bottom: 2px solid #005EA8;
}

.row.border-bottom {
	border-bottom: 1px solid #005EA8;
}

.row.border-bottom:last-child {
	border-bottom: none;
}

.flat input[type="text"], .flat select, .flat textarea {
	border: 0;
	background: #f1f1f1;
	box-sizing: border-box;
	width: 100%;
}

.pc input[type="text"], .pc select, .pc textarea {
	box-sizing: border-box;
	width: 100%;
}

.flat .label {
	text-align: left;
	font-weight: 300;
	color: #005EA8;
	margin: 16px 0 6px;
}

.pc .label {
	text-align: left;
	margin: 16px 0 6px;	
}



.flat .label.required:after,
.pc .label.required:after {
	color: #a80038;
	content: ' *';
}

.flat h1 {
	color: #005EA8;
	font-weight: 300;
}

.pc .note, .flat .note {
	font-size: 80%;
	color: #888;
}

.flat .error, .pc .error {
	box-shadow: 0 0 0 #fff;
}

.flat .error:before, .pc .error:before {
	font-size: 200%;
	content: '⚠ ';
	color: #d00;
}

@media (max-width: 640px), (max-height: 500px) {
	
	span.only-phone {
		display: inline-block;
	}
	
	body {
		height: 100%;
	}

	.pull-right, .pull-left {
		float: none;
		display: block;
	}
	
	#dialog, .dialog {
		position: fixed !important;
		overflow-y: auto;
		width: auto;
		background: #fff;
		border: none;
		border-radius: 0;	
		top: -500px;
		left: 0;
		right: 0;
		height: 100%;
		z-index: 3;
		margin-top: -100px;
		top: -100%;
	}
	
}

table.data {
	width: 100%;
	border: 1px solid #005EA8;
	border-spacing: 0;
}

table.data th {
	background: #005EA8;
	color: #fff;
	text-align: left;
	padding: 2px;
}

table.data tr:nth-child(odd) {
	background: #eee;
}

table.data td {
	padding: 2px;
}

table.data tr.hover:hover a {
	color: #fff;
}

table.data tr.hover:hover a:hover {
	color: #ddf;
}

table.data tr.hover td {
	transition: background 0.3s, color 0.3s;
	cursor: pointer;
}

table.data tr.hover:hover td {
	background: #335280;
	color: #fff;
}

.previewframe {
	border: 1px solid #aaa;
	transition: width 0.3s;
	-o-transition: width 0.3s;
	-ms-transition: width 0.3s;
	-moz-transition: width 0.3s;
	-webkit-transition: width 0.3s;
}

.previewframe.smaller {
	width: 400px;
	height: 600px;
}

.previewframe.larger {
	width: 800px;
	height: 600px;
}